use master
go
DROP DATABASE ebSQL_Test
go


CREATE DATABASE ebSQL_Test;
go
use ebSQL_Test;
go


CREATE TABLE physical_address (
       addressID            int IDENTITY,
       street               varchar(255) NULL,
       city                 varchar(50) NULL,
       phone                varchar(20) NULL,
       fax                  varchar(20) NULL,
       countryID            tinyint NULL,
       map                  image NULL,
       PRIMARY KEY (addressID)
)
go


CREATE TABLE address_person (
       personID             int NOT NULL,
       addressID            int NOT NULL,
       addresstypeID        tinyint NULL,
       PRIMARY KEY (personID, addressID)
)
go


CREATE TABLE address_type (
       addresstypeID        tinyint IDENTITY,
       type_descrip         varchar(20) NULL,
       PRIMARY KEY (addresstypeID)
)
go


CREATE TABLE civil_state (
       civilstateID         tinyint IDENTITY,
       state_descrip        varchar(30) NULL,
       PRIMARY KEY (civilstateID)
)
go


CREATE TABLE country (
       countryID            tinyint IDENTITY,
       country_name         varchar(50) NULL,
       PRIMARY KEY (countryID)
)
go


CREATE TABLE person (
       personID             int IDENTITY,
       firstname            varchar(50) NULL,
       lastname             varchar(50) NULL,
       birthdate            datetime NULL,
       email                varchar(255) NULL,
       civilstateID         tinyint NULL,
       photo                image NULL,
       details              text NULL,
       PRIMARY KEY (personID)
)
go

                              
                                                      
ALTER TABLE physical_address
       ADD FOREIGN KEY (countryID)
       REFERENCES country (countryID)
go


ALTER TABLE address_person
       ADD FOREIGN KEY (addresstypeID)
       REFERENCES address_type (addresstypeID)
go


ALTER TABLE address_person
       ADD FOREIGN KEY (addressID)
       REFERENCES physical_address (addressID)
go


ALTER TABLE address_person
       ADD FOREIGN KEY (personID)
       REFERENCES person (personID)
go


ALTER TABLE person
       ADD FOREIGN KEY (civilstateID)
       REFERENCES civil_state (civilstateID)
go


/* Insert table civil_state*/
INSERT INTO civil_state(state_descrip) VALUES('Single');
INSERT INTO civil_state(state_descrip) VALUES('Married');
INSERT INTO civil_state(state_descrip) VALUES('divorced');
INSERT INTO civil_state(state_descrip) VALUES('widower');


/* Insert table Country*/
INSERT INTO country(country_name) VALUES('Argentina')
INSERT INTO country(country_name) VALUES('Austria')
INSERT INTO country(country_name) VALUES('Belgium')
INSERT INTO country(country_name) VALUES('Brazil')
INSERT INTO country(country_name) VALUES('Canada')
INSERT INTO country(country_name) VALUES('Denmark')
INSERT INTO country(country_name) VALUES('Finland')
INSERT INTO country(country_name) VALUES('France')
INSERT INTO country(country_name) VALUES('Germany')
INSERT INTO country(country_name) VALUES('Ireland')
INSERT INTO country(country_name) VALUES('Italy')
INSERT INTO country(country_name) VALUES('Mexico')
INSERT INTO country(country_name) VALUES('Norway')
INSERT INTO country(country_name) VALUES('Poland')
INSERT INTO country(country_name) VALUES('Portugal')
INSERT INTO country(country_name) VALUES('Spain')
INSERT INTO country(country_name) VALUES('Sweden')
INSERT INTO country(country_name) VALUES('Switzerland')
INSERT INTO country(country_name) VALUES('UK')
INSERT INTO country(country_name) VALUES('USA')
INSERT INTO country(country_name) VALUES('Venezuela')

/*Insert table address_type */
INSERT INTO address_type(type_descrip) VALUES('Personal');
INSERT INTO address_type(type_descrip) VALUES('Work');


/*Insert table physical_address*/
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Obere Str. 57','Berlin','030-0074321','030-0076545',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Avda. de la Constitucion 2222','Mexico D.F.','(5) 555-4729','(5) 555-3745',12);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Mataderos  2312','Mexico D.F.','(5) 555-3932','',12);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('120 Hanover Sq.','London','(171) 555-7788','(171) 555-6750',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Berguvsvagen  8','Lulea','0921-12 34 65','0921-12 34 67',17);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Forsterstr. 57','Mannheim','0621-08460','0621-08924',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('24, place Kleber','Strasbourg','88.60.15.31','88.60.15.32',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('C/ Araquil, 67','Madrid','(91) 555 22 82','(91) 555 91 99',16);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('12, rue des Bouchers','Marseille','91.24.45.40','91.24.45.41',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('23 Tsawassen Blvd.','Tsawassen','(604) 555-4729','(604) 555-3745',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Fauntleroy Circus','London','(171) 555-1212','',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Cerrito 333','Buenos Aires','(1) 135-5555','(1) 135-4892',1);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Sierras de Granada 9993','Mexico D.F.','(5) 555-3392','(5) 555-7293',12);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Hauptstr. 29','Bern','0452-076545','',18);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Av. dos Lusiadas, 23','Sao Paulo','(11) 555-7647','',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Berkeley Gardens 12  Brewery','London','(171) 555-2282','(171) 555-9199',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Walserweg 21','Aachen','0241-039123','0241-059428',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('67, rue des Cinquante Otages','Nantes','40.67.88.88','40.67.89.89',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('35 King George','London','(171) 555-0297','(171) 555-3373',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Kirchgasse 6','Graz','7675-3425','7675-3426',2);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Rua Oros, 92','Sao Paulo','(11) 555-9857','',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('C/ Moralzarzal, 86','Madrid','(91) 555 94 44','(91) 555 55 93',16);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('184, chaussee de Tournai','Lille','20.16.10.16','20.16.10.17',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Akergatan 24','Bracke','0695-34 67 21','',17);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Berliner Platz 43','Munchen','089-0877310','089-0877451',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('54, rue Royale','Nantes','40.32.21.21','40.32.21.20',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Via Monte Bianco 34','Torino','011-4988260','011-4988261',11);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Jardim das rosas n. 32','Lisboa','(1) 354-2534','(1) 354-2535',15);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Rambla de Cataluna, 23','Barcelona','(93) 203 4560','(93) 203 4561',16);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('C/ Romero, 33','Sevilla','(95) 555 82 82','',16);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Av. Brasil, 442','Campinas','(11) 555-9482','',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2732 Baker Blvd.','Eugene','(503) 555-7555','',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('5? Ave. Los Palos Grandes','Caracas','(2) 283-2951','(2) 283-3397',21);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Rua do Paco, 67','Rio de Janeiro','(21) 555-0091','(21) 555-8765',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Carrera 22 con Ave. Carlos Soublette #8-35','San Cristobal','(5) 555-1340','(5) 555-1948',21);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('City Center Plaza 516 Main St.','Elgin','(503) 555-6874','(503) 555-2376',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('8 Johnstown Road','Cork','2967 542','2967 3333',10);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Garden House Crowther Way','Cowes','(198) 555-8888','',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Maubelstr. 90','Brandenburg','0555-09876','',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('67, avenue de l Europe','Versailles','30.59.84.10','30.59.85.11',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('1 rue Alsace-Lorraine','Toulouse','61.77.61.10','61.77.61.11',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('1900 Oak St.','Vancouver','(604) 555-3392','(604) 555-7293',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('12 Orchestra Terrace','Walla Walla','(509) 555-7969','(509) 555-6221',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Magazinweg 7','Frankfurt a.M.','069-0245984','069-0245874',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('87 Polk St. Suite 5','San Francisco','(415) 555-5938','',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Carrera 52 con Ave. Bolivar #65-98 Llano Largo','Barquisimeto','(9) 331-6954','(9) 331-7256',21);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Ave. 5 de Mayo Porlamar','I. de Margarita','(8) 34-56-12','(8) 34-93-93',21);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('89 Chiaroscuro Rd.','Portland','(503) 555-9573','(503) 555-9646',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Via Ludovico il Moro 22','Bergamo','035-640230','035-640231',11);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Rue Joseph-Bens 532','Bruxelles','(02) 201 24 67','(02) 201 24 68',3);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('43 rue St. Laurent','Montreal','(514) 555-8054','(514) 555-8055',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Heerstr. 22','Leipzig','0342-023176','',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('South House 300 Queensbridge','London','(171) 555-7733','(171) 555-2530',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Ing. Gustavo Moncada 8585 Piso 20-A','Buenos Aires','(1) 135-5333','(1) 135-5535',1);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2743 Bering St.','Anchorage','(907) 555-7584','(907) 555-2880',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Mehrheimerstr. 369','Koln','0221-0644327','0221-0765721',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('265, boulevard Charonne','Paris','(1) 42.34.22.66','(1) 42.34.22.77',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Calle Dr. Jorge Cash 321','Mexico D.F.','(5) 552-3745','(5) 545-3745',12);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Geislweg 14','Salzburg','6562-9722','6562-9723',2);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Estrada da saude n. 58','Lisboa','(1) 356-5634','',15);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Rua da Panificadora, 12','Rio de Janeiro','(21) 555-4252','(21) 555-4545',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Alameda dos Canarios, 891','Sao Paulo','(11) 555-1189','',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Taucherstra?e 10','Cunewalde','0372-035188','',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Av. del Libertador 900','Buenos Aires','(1) 123-5555','(1) 123-5556',1);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2817 Milton Dr.','Albuquerque','(505) 555-5939','(505) 555-3620',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Strada Provinciale 124','Reggio Emilia','0522-556721','0522-556722',11);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Av. Copacabana, 267','Rio de Janeiro','(21) 555-3412','',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Grenzacherweg 237','Geneve','0897-034214','',18);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Gran Via, 1','Madrid','(91) 745 6200','(91) 745 6210',16);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Erling Skakkes gate 78','Stavern','07-98 92 35','07-98 92 47',13);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('187 Suffolk Ln.','Boise','(208) 555-8097','',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('90 Wadhurst Rd.','London','(171) 555-1717','(171) 555-5646',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Vinb?ltet 34','Kobenhavn','31 12 34 56','31 13 35 57',6);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('25, rue Lauriston','Paris','(1) 47.55.60.10','(1) 47.55.60.20',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('P.O. Box 555','Lander','(307) 555-4680','(307) 555-6525',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Boulevard Tirou, 255','Charleroi','(071) 23 67 22 20','(071) 23 67 22 21',3);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('89 Jefferson Way Suite 2','Portland','(503) 555-3612','',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('55 Grizzly Peak Rd.','Butte','(406) 555-5834','(406) 555-8083',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Luisenstr. 48','Munster','0251-031259','0251-035695',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Avda. Azteca 123','Mexico D.F.','(5) 555-2933','',12);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Av. Ines de Castro, 414','Sao Paulo','(11) 555-2167','(11) 555-2168',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('722 DaVinci Blvd.','Kirkland','(206) 555-8257','(206) 555-2174',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Smagsloget 45','Arhus','86 21 32 43','86 22 33 44',6);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2, rue du Commerce','Lyon','78.32.54.86','78.32.54.87',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('59 rue de l Abbaye','Reims','26.47.15.10','26.47.15.11',8);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Adenauerallee 900','Stuttgart','0711-020361','0711-035428',9);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Torikatu 38','Oulu','981-443655','981-443655',7);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Rua do Mercado, 12','Resende','(14) 555-8122','',4);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('305 - 14th Ave. S. Suite 3B','Seattle','(206) 555-4112','(206) 555-4115',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Keskuskatu 45','Helsinki','90-224 8858','90-224 8858',7);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('ul. Filtrowa 68','Warszawa','(26) 642-7012','(26) 642-7012',14);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('4287 Maple Hill St.','Dallas','(513) 428-2999','(513) 428-2930',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('98 Michaels Lane','Irvine','(514) 229-9228','(514) 229-9229',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('287 Oak Drive','Houston','(171) 555-7788','(171) 555-7789',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2767 LBJ Hwy Suite 1','Dallas','(888) 288-2229','(888) 288-2230',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('5998 Hoffner Blvd Suite 1','Inglewood','(488) 288-9992','(488) 288-9945',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('4726 Harper Hill St. Apt 1','Los Angeles','(288) 288-9288','(288) 288-9289',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('247 5th Ave Apt 487','New York','(877) 828-9229','(877) 828-9240',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('4287 Indiane Rd','Thomasville','(824) 882-2992','(824) 882-2993',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('24 Tsawassen Blvd.','Ontario','(604) 842-3998','(604) 842-3999',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2587 Trans Canada Hwy','Montreal','(276) 278-2827','(276) 278-2829',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('892 Rocket Richard Way','Toronto','(827) 843-3872','(827) 843-3873',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('2767 Wayne Gretzy Hwy Apt 1','Edmonton','(726) 288-2887','(726) 288-2888',5);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Hauptstr. 29','Bern','(   ) 452-0765','973-7252',18);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('38427 Smith St.','Los Angeles','(213) 284-9938','(213) 284-9939',20);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Berkeley Gardens 22  Brewery','London','(171) 554-5228','(171) 554-5229',19);
INSERT INTO physical_address (street, city, phone, fax, countryID) VALUES('Walserweg 20','Aachen','(423) 241-0312','021-0428',9);

/*Insert table persons*/
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Maria', 'Anders', getdate() - (360 * 65),'MariaA@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Ana', 'Trujillo', getdate() - (360 * 29),'AnaT@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Antonio', 'Moreno', getdate() - (360 * 34),'AntonioM@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Thomas', 'Hardy', getdate() - (360 * 40),'ThomasH@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Christina', 'Berglund', getdate() - (360 * 41),'ChristinaB@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Hanna', 'Moos', getdate() - (360 * 39),'HannaM@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Frederique', 'Citeaux', getdate() - (360 * 79),'FrederiqueC@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Martin', 'Sommer', getdate() - (360 * 37),'MartinS@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Laurence', 'Lebihan', getdate() - (360 * 69),'LaurenceL@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Elizabeth', 'Lincoln', getdate() - (360 * 48),'ElizabethL@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Victoria', 'Ashworth', getdate() - (360 * 42),'VictoriaA@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Patricio', 'Simpson', getdate() - (360 * 71),'PatricioS@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Francisco', 'Chang', getdate() - (360 * 64),'FranciscoC@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Yang', 'Wang', getdate() - (360 * 54),'YangW@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Pedro', 'Afonso', getdate() - (360 * 78),'PedroA@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Elizabeth', 'Brown', getdate() - (360 * 73),'ElizabethB@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Sven', 'Ottlieb', getdate() - (360 * 75),'SvenO@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Janine', 'Labrune', getdate() - (360 * 76),'JanineL@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Ann', 'Devon', getdate() - (360 * 56),'AnnD@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Roland', 'Mendel', getdate() - (360 * 61),'RolandM@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Aria', 'Cruz', getdate() - (360 * 72),'AriaC@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Diego', 'Roel', getdate() - (360 * 74),'DiegoR@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Martine', 'Rance', getdate() - (360 * 72),'MartineR@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Maria', 'Larsson', getdate() - (360 * 28),'MariaL@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Peter', 'Franken', getdate() - (360 * 51),'PeterF@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Carine', 'Schmitt', getdate() - (360 * 70),'CarineS@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Paolo', 'Accorti', getdate() - (360 * 55),'PaoloA@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Lino', 'Rodriguez', getdate() - (360 * 46),'LinoR@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Eduardo', 'Saavedra', getdate() - (360 * 67),'EduardoS@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jose', 'Pedro Freyre', getdate() - (360 * 25),'JoseP@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Andre', 'Fonseca', getdate() - (360 * 37),'AndreF@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Howard', 'Snyder', getdate() - (360 * 36),'HowardS@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Manuel', 'Pereira', getdate() - (360 * 51),'ManuelP@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Mario', 'Pontes', getdate() - (360 * 58),'MarioP@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Carlos', 'Hernandez', getdate() - (360 * 73),'CarlosH@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Yoshi', 'Latimer', getdate() - (360 * 28),'YoshiL@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Patricia', 'McKenna', getdate() - (360 * 63),'PatriciaM@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Helen', 'Bennett', getdate() - (360 * 25),'HelenB@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Philip', 'Cramer', getdate() - (360 * 58),'PhilipC@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Daniel', 'Tonini', getdate() - (360 * 60),'DanielT@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Annette', 'Roulet', getdate() - (360 * 38),'AnnetteR@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Yoshi', 'Tannamuri', getdate() - (360 * 60),'YoshiT@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('John', 'Steel', getdate() - (360 * 36),'JohnS@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Renate', 'Messner', getdate() - (360 * 37),'RenateM@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jaime', 'Yorres', getdate() - (360 * 59),'JaimeY@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Carlos', 'Gonzalez', getdate() - (360 * 56),'CarlosG@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Felipe', 'Izquierdo', getdate() - (360 * 27),'FelipeI@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Fran', 'Wilson', getdate() - (360 * 57),'FranW@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Giovanni', 'Rovelli', getdate() - (360 * 32),'GiovanniR@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Catherine', 'Dewey', getdate() - (360 * 63),'CatherineD@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jean', 'Fresniere', getdate() - (360 * 71),'JeanF@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Alexander', 'Feuer', getdate() - (360 * 61),'AlexanderF@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Simon', 'Crowther', getdate() - (360 * 79),'SimonC@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Yvonne', 'Moncada', getdate() - (360 * 56),'YvonneM@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Rene', 'Phillips', getdate() - (360 * 48),'ReneP@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Henriette', 'Pfalzheim', getdate() - (360 * 66),'HenrietteP@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Marie', 'Bertrand', getdate() - (360 * 54),'MarieB@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Guillermo', 'Fernandez', getdate() - (360 * 68),'GuillermoF@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Georg', 'Pipps', getdate() - (360 * 62),'GeorgP@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Isabel', 'de Castro', getdate() - (360 * 37),'Isabeld@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Bernardo', 'Batista', getdate() - (360 * 67),'BernardoB@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Lucia', 'Carvalho', getdate() - (360 * 27),'LuciaC@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Horst', 'Kloss', getdate() - (360 * 50),'HorstK@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Sergio', 'Gutierrez', getdate() - (360 * 43),'SergioG@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Paula', 'Wilson', getdate() - (360 * 39),'PaulaW@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Maurizio', 'Moroni', getdate() - (360 * 74),'MaurizioM@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Janete', 'Limeira', getdate() - (360 * 59),'JaneteL@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Michael', 'Holz', getdate() - (360 * 51),'MichaelH@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Alejandra', 'Camino', getdate() - (360 * 65),'AlejandraC@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jonas', 'Bergulfsen', getdate() - (360 * 57),'JonasB@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jose', 'Pavarotti', getdate() - (360 * 65),'JoseP@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Hari', 'Kumar', getdate() - (360 * 53),'HariK@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jytte', 'Petersen', getdate() - (360 * 32),'JytteP@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Dominique', 'Perrier', getdate() - (360 * 33),'DominiqueP@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Art', 'Braunschweiger', getdate() - (360 * 64),'ArtB@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Pascale', 'Cartrain', getdate() - (360 * 35),'PascaleC@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Liz', 'Nixon', getdate() - (360 * 30),'LizN@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Liu', 'Wong', getdate() - (360 * 40),'LiuW@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Karin', 'Josephs', getdate() - (360 * 62),'KarinJ@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Miguel', 'Angel Paolino', getdate() - (360 * 31),'MiguelA@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Anabela', 'Domingues', getdate() - (360 * 74),'AnabelaD@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Helvetius', 'Nagy', getdate() - (360 * 36),'HelvetiusN@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Palle', 'Ibsen', getdate() - (360 * 68),'PalleI@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Mary', 'Saveley', getdate() - (360 * 47),'MaryS@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Paul', 'Henriot', getdate() - (360 * 75),'PaulH@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Rita', 'Muller', getdate() - (360 * 63),'RitaM@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Pirkko', 'Koskitalo', getdate() - (360 * 67),'PirkkoK@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Paula', 'Parente', getdate() - (360 * 28),'PaulaP@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Karl', 'Jablonski', getdate() - (360 * 36),'KarlJ@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Matti', 'Karttunen', getdate() - (360 * 76),'MattiK@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Zbyszek', 'Piestrzeniewicz', getdate() - (360 * 26),'ZbyszekP@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Brad', 'Barnes', getdate() - (360 * 65),'BradB@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jerry', 'Campbell', getdate() - (360 * 46),'JerryC@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Carl', 'Lucas', getdate() - (360 * 63),'CarlL@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Peter', 'Dolan', getdate() - (360 * 68),'PeterD@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Ryan', 'Fischer', getdate() - (360 * 53),'RyanF@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Richard', 'Fisher', getdate() - (360 * 40),'RichardF@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Tom', 'Hamlett', getdate() - (360 * 46),'TomH@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Mark', 'Hamilton', getdate() - (360 * 64),'MarkH@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Steve', 'Lee', getdate() - (360 * 29),'SteveL@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jimmy', 'Lewis', getdate() - (360 * 38),'JimmyL@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Jeffrey', 'McClain', getdate() - (360 * 48),'JeffreyM@vegassoftware.com', 2);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Andrew', 'Miller', getdate() - (360 * 65),'AndrewM@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Dave', 'Murrel', getdate() - (360 * 28),'DaveM@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Bert', 'Parkins', getdate() - (360 * 50),'BertP@vegassoftware.com', 3);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Mike', 'Roller', getdate() - (360 * 42),'MikeR@vegassoftware.com', 1);
INSERT INTO person(firstname,lastname, birthdate, email ,civilstateID) VALUES('Ray', 'Shipman', getdate() - (360 * 76),'RayS@vegassoftware.com', 3);

/*Insert table address_person*/
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(1, 1, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(2, 2, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(3, 3, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(4, 4, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(5, 5, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(6, 6, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(7, 7, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(8, 8, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(9, 9, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(10, 10, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(11, 11, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(12, 12, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(13, 13, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(14, 14, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(15, 15, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(16, 16, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(17, 17, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(18, 18, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(19, 19, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(20, 20, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(21, 21, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(22, 22, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(23, 23, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(24, 24, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(25, 25, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(26, 26, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(27, 27, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(28, 28, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(29, 29, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(30, 30, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(31, 31, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(32, 32, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(33, 33, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(34, 34, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(35, 35, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(36, 36, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(37, 37, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(38, 38, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(39, 39, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(40, 40, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(41, 41, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(42, 42, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(43, 43, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(44, 44, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(45, 45, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(46, 46, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(47, 47, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(48, 48, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(49, 49, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(50, 50, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(51, 51, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(52, 52, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(53, 53, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(54, 54, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(55, 55, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(56, 56, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(57, 57, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(58, 58, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(59, 59, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(60, 60, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(61, 61, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(62, 62, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(63, 63, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(64, 64, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(65, 65, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(66, 66, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(67, 67, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(68, 68, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(69, 69, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(70, 70, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(71, 71, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(72, 72, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(73, 73, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(74, 74, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(75, 75, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(76, 76, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(77, 77, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(78, 78, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(79, 79, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(80, 80, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(81, 81, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(82, 82, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(83, 83, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(84, 84, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(85, 85, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(86, 86, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(87, 87, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(88, 88, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(89, 89, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(90, 90, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(91, 91, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(92, 92, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(93, 93, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(94, 94, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(95, 95, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(96, 96, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(97, 97, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(98, 98, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(99, 99, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(100, 100, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(101, 101, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(102, 102, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(103, 103, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(104, 104, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(105, 105, 1);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(106, 106, 2);
INSERT INTO address_person(personID,addressID, addresstypeID) VALUES(107, 107, 2);
go

/*Create SP to insert a new person*/
CREATE PROCEDURE NewPerson
@FIRSTNAME varchar(50),
@LASTNAME varchar(50),
@BIRTHDATE datetime ,
@CIVILSTATE tinyint = 0,
@NEWID int OUTPUT
AS
BEGIN
  INSERT INTO person(firstname,lastname, birthdate,civilstateID) 
  VALUES(@FIRSTNAME, @LASTNAME, @BIRTHDATE ,@CIVILSTATE)
  SET @NEWID = SCOPE_IDENTITY();
END;
go

/*Create SP to insert a new person*/
CREATE PROCEDURE PersonsByCountry
@COUNTRYID int,
@ADDRESTYPE tinyint
AS
BEGIN
  SELECT p.*, pa.*, at.type_descrip, cs.state_descrip, c.country_name
  FROM person p
  INNER JOIN address_person ap ON p.personID = ap.personID
  INNER JOIN physical_address pa ON ap.addressID = pa.addressID
  INNER JOIN address_type at ON ap.addresstypeID = at.addresstypeID
  INNER JOIN civil_state cs ON p.civilstateID = cs.civilstateID
  INNER JOIN country c ON pa.countryID = c.countryID
  WHERE pa.countryID = @COUNTRYID
  AND ap.addresstypeID = @ADDRESTYPE
END;
go


/*Update with image parameter*/
CREATE PROCEDURE UpdatePhoto
@PERSONID int,
@PHOTO image
AS
BEGIN
  UPDATE person SET
  photo = @PHOTO 
  WHERE personID = @PERSONID
END;
go
