﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using EasyBuildSQL;
using System.IO;

namespace webSample1
{
    public partial class frmInsertSQL : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {

                //Create ebQuery to CivilState
                ebQuery qCivilState = new ebQuery(Global.Credentials);
                //Add SQL Sentence
                qCivilState.AddSQL("SELECT * FROM civil_state");

                //Create dataset
                var qCivilStateDS = qCivilState.OpenDataSet();

                cboCivilState.DataSource = qCivilStateDS.Tables[0];
                cboCivilState.DataTextField = "state_descrip";
                cboCivilState.DataValueField = "civilstateID";
                cboCivilState.DataBind();
                cboCivilState.SelectedValue = "1";
            }
        }

        protected void btnExecSP_Click(object sender, EventArgs e)
        {
            ebINSERT Insert = new ebINSERT("person", Global.Credentials);
            //define the fields
            Insert.AddField("firstname", System.Data.DbType.String, txtFirstName.Text);
            //Other way to define
            Insert.AddValue("lastname", txtLastName.Text);
            //To assign the "today date"
            Insert.AddGETDATE("birthdate");
            //To assign a integer
            Insert.AddValue("civilstateID", int.Parse(cboCivilState.SelectedValue));
            //Sample to assign a null value
            Insert.AddNULL("email");

            //sample to assign a BLOB field
            if (FileUpload1.FileName == string.Empty)
            {
                Insert.AddNULL("photo");
            }
            else
            {
                //Define the photo file name
                string PhotoUpload = Path.Combine(base.MapPath("."), "photoUpload.jpg");

                //If file exists then delete
                if (File.Exists(PhotoUpload))
                    File.Delete(PhotoUpload);

                FileUpload1.SaveAs(PhotoUpload);
                //add BLOB Field
                Insert.AddBLOB("photo", PhotoUpload);
            }

            //Insert text field
            Insert.AddField("details", System.Data.DbType.String, txtComments.Text, 255000);
            /*is possible to use alternative
             Insert.AddField("details", System.Data.DbType.String, txtComments.Text);
             */

            Insert.ReturnIDENTITY = true;

            if (Insert.Execute())
            {
                txtResult.Text = "New person inserted, the new personID = " + Insert.Identity.ToString();

                ebQuery qPerson = new ebQuery(Global.Credentials);
                if (Global.Credentials.ObtainDBType() == DataBaseType.MSSQL)
                    qPerson.AddSQL("SELECT TOP 5 personID, lastname, firstname, birthdate, civilstateID FROM person order by personID desc");
                else
                    qPerson.AddSQL("SELECT personID, lastname, firstname, birthdate, civilstateID FROM person order by personID desc LIMIT 5");

                var qDS = qPerson.OpenDataSet();
                if (qDS != null)
                {
                    GridView1.DataSource = qDS.Tables[0];
                    GridView1.DataBind();
                }
                else
                {
                    txtResult.Text = qPerson.ErrorSQL;
                    GridView1.DataSource = null;
                    GridView1.DataBind();

                }

            }
            else
            {
                txtResult.Text = "Error to nsert new person. Error = " + Insert.ErrorSQL;
            }
        }

        protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Label1.Text = "selectedIndexChanged";
        }
    }
}
