using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using EasyBuildSQL;


namespace webSample1
{
    public partial class frmOpenSP : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {

                //Create ebQuery to Country
                ebQuery qCountry = new ebQuery(Global.Credentials);
                //Add SQL Sentence
                qCountry.AddSQL("SELECT * FROM country");

                //Create dataset
                var qCountryDS = qCountry.OpenDataSet();

                //Assign the DataSource to the control and fill the DropDownList
				cboCountry.DataSource = qCountryDS.Tables[0];
                cboCountry.DataTextField = "country_name";
                cboCountry.DataValueField = "countryID";
                cboCountry.DataBind();
                cboCountry.SelectedValue = "1";

                //Create ebQuery to AddressType
                ebQuery qAddressType = new ebQuery(Global.Credentials);
                //Add SQL Sentence
                qAddressType.AddSQL("SELECT * FROM address_type");

                //Create dataset
                var qAddressTypeDS = qAddressType.OpenDataSet();

                //Assign the DataSource to the control and fill the DropDownList
                cboAddressType.DataSource = qAddressTypeDS.Tables[0];
                cboAddressType.DataTextField = "type_descrip";
                cboAddressType.DataValueField = "addresstypeID";
                cboAddressType.DataBind();
                cboAddressType.SelectedValue = "1";
            }
            
            
        }

        protected void btnOpenSP_Click(object sender, EventArgs e)
        {
			//Create the ebStoredProc
			ebStoredProc SP = new ebStoredProc("PersonsByCountry", Global.Credentials);
			//Assign the parameters
            SP.AddParameter("COUNTRYID", System.Data.DbType.Int32).Value = cboCountry.SelectedValue;
            SP.AddParameter("ADDRESTYPE", System.Data.DbType.Int16).Value = cboAddressType.SelectedValue;
			
			//Open and create a DataSet
            var SPDs = SP.OpenDataSet();
            if (SPDs == null)
            {
                //If error show the error message
				txtResult.Text = SP.ErrorSQL;
                GridView1.DataSource = null;
                GridView1.DataBind();
            }
            else
            {
                txtResult.Text = "OPen OK";

                GridView1.DataSource = SPDs.Tables[0];
                GridView1.DataBind();
            }

        }
    }
}
