﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using EasyBuildSQL;
using System.IO;

namespace webSample1
{
    public partial class frmUpdateSQL : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!Page.IsPostBack)
            {
                //Create ebQuery to Country
                ebQuery qCountry = new ebQuery(Global.Credentials);
                //Add SQL Sentence
                qCountry.AddSQL("SELECT * FROM country");

                //Create dataset
                var qCountryDS = qCountry.OpenDataSet();

                //Assign the DataSource to the control and fill the DropDownList
                cboCountry.DataSource = qCountryDS.Tables[0];
                cboCountry.DataTextField = "country_name";
                cboCountry.DataValueField = "countryID";
                cboCountry.DataBind();
                // cboCountry.SelectedValue = "1";

                //Create ebQuery to address
                ebQuery qAddress = new ebQuery(Global.Credentials);
                //Create de script sql
                qAddress.AddSQL("SELECT addressID,street,city, phone, country_name");
                qAddress.AddSQL("FROM physical_address pa");
                qAddress.AddSQL("INNER JOIN country c ON (pa.countryID = c.countryID)");

                //Open the DataSet
                var qDS = qAddress.OpenDataSet();
                if (qDS != null)
                {
                    //Assign the DataSource to the grid and fill grid
                    GridView1.DataSource = qDS.Tables[0];
                    GridView1.DataBind();
                }
                else
                {
                    txtResult.Text = qAddress.ErrorSQL;
                    GridView1.DataSource = null;
                    GridView1.DataBind();

                }
            }
        }

        protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
        {
            GridViewRow row = GridView1.SelectedRow;
            Int32 ID = int.Parse(row.Cells[1].Text);

            ebQuery qIndividualAddress = new ebQuery(Global.Credentials);
            //Create script sql whith parameter 
            qIndividualAddress.AddSQL("SELECT * FROM physical_address WHERE addressID = ?ID");
            qIndividualAddress.AddParameter("ID", System.Data.DbType.Int32, ID);

            var qDR = qIndividualAddress.OpenDataReader();
            if (qDR != null && qDR.HasRows && qDR.Read() )
            {
                txtStreet.Text = ebField.AsString(qDR["street"]);
                txtCity.Text = ebField.AsString(qDR["city"]);
                txtPhone.Text = ebField.AsString(qDR["phone"]);
                txtFax.Text = ebField.AsString(qDR["fax"]);
                cboCountry.SelectedValue = ebField.AsInteger(qDR["countryID"]).ToString();
                //Save the map field
                if (! Convert.IsDBNull(qDR["map"]))
                {
                    ebBLOBField.SaveToFile(qDR["map"], base.MapPath("."), "map.jpg");
                }
                //Close de DataReader
                qDR.Close();
            }
            else
            { 
                txtResult.Text = "No record, error = " + qIndividualAddress.ErrorSQL;
                txtStreet.Text = string.Empty;
                txtCity.Text = string.Empty;
                txtPhone.Text = string.Empty;
                txtFax.Text = string.Empty;
                

            }

        }

        protected void btnUpdate_Click(object sender, EventArgs e)
        {
            //Create ebUPDATE
            ebUPDATE Update = new ebUPDATE("physical_address", Global.Credentials);

            //Add Field street
            Update.AddField("street", System.Data.DbType.String, txtStreet.Text);
            //Add Field city whith second alternative
            Update.AddValue("city", txtCity.Text);
            //Add Field CountryID
            Update.AddValue("countryID", int.Parse(cboCountry.SelectedValue));
            //Add phone 
            if (txtPhone.Text == string.Empty)
                Update.AddNULL("phone");
            else
                Update.AddField("phone", System.Data.DbType.String, txtPhone.Text);
            //Add field fax
            if (txtFax.Text == string.Empty)
                Update.AddNULL("fax");
            else
                Update.AddField("fax", System.Data.DbType.String, txtFax.Text);

            //sample to assign a BLOB field
            if (FileUpload1.FileName == string.Empty)
            {
                Update.AddNULL("map");
            }
            else
            {
                //Define the photo file name
                string MapUpload = Path.Combine(base.MapPath("."), "MapUpload.jpg");

                //If file exists then delete
                if (File.Exists(MapUpload))
                    File.Delete(MapUpload);

                FileUpload1.SaveAs(MapUpload);
                //add BLOB Field
                Update.AddBLOB("map", MapUpload);
            }

            GridViewRow row = GridView1.SelectedRow;
            Int32 ID = int.Parse(row.Cells[1].Text);

            //Add condition
            Update.Condition = string.Format("addressID = {0}", ID);

            if (Update.Execute())
                txtResult.Text = "Update record";
            else
                txtResult.Text = "problem to update. Error = " + Update.ErrorSQL;

        }
    }
}
