﻿#region license

/*
EasyBuildSQL - is a C# library oriented to help to developers to build sql sentence in differents database engine. 
EasyBuildSQL is developed to .NET Framework.
 
Copyright (C) 2010 - Alejandro Genovesi
http://sourceforge.net/projects/easybuildsql/ 
Contributor : Arturo Martinez

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.

 You should have received a copy of the GNU Library General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 
*/

#endregion

using System;
using System.IO;
using System.Collections.Generic;

namespace EasyBuildSQL
{

    public enum DataBaseType
    {
        MSSQL,
        MySQL,
        Postgres
    }

}

public static class BlobSQL
{
    public static byte[] LoadFromFile(string FileName)
    {
        if (File.Exists(FileName))
        {
            FileStream stream = new FileStream(FileName, FileMode.Open, FileAccess.Read);
            BinaryReader reader = new BinaryReader(stream);

            byte[] Resultado = reader.ReadBytes((int)stream.Length);

            reader.Close();
            stream.Close();

            return Resultado;
        }
        else
            return null;
    }

    public static string LoadTextFromFile(string FileName)
    {
        if (File.Exists(FileName))
        {
            FileStream stream = new FileStream(FileName, FileMode.Open, FileAccess.Read);
            TextReader reader = new StreamReader(stream);

            string Resultado = reader.ReadToEnd();

            reader.Close();
            stream.Close();

            return Resultado;
        }
        else
            return null;
    }

    public static byte[] LoadFromStream(MemoryStream Stream)
    {
        if (Stream.Length > 0)
        {
            BinaryReader reader = new BinaryReader(Stream);

            byte[] Resultado = reader.ReadBytes((int)Stream.Length);

            reader.Close();

            return Resultado;
        }
        else
            return null;
    }

    public static byte[] LoadFromStream(Stream Stream)
    {
        if (Stream.Length > 0)
        {
            BinaryReader reader = new BinaryReader(Stream);

            byte[] Resultado = reader.ReadBytes((int)Stream.Length);

            reader.Close();

            return Resultado;
        }
        else
            return null;
    }
}

 public static class MSSQL
{
    public const string NULL = "NULL";
    public const string GETDATE = "GETDATE()";
    public const string IDENTITY = "CAST(scope_identity() AS int)";
    public const string DeclareIDENTITY = "DECLARE @NEWRECORD int";
    public const string GetIDENTITY = "SET @NEWRECORD = CAST(scope_identity() AS int)";
    public const string ReturnIDENTITY = "SELECT NEWRECORD = " + IDENTITY;
    public const string ReturnIDENTITYAvailable = "SELECT NEWRECORD = " + IDENTITY_AVAILABLE;
    public const string IDENTITY_AVAILABLE = "@NEWRECORD";
    public const string CONNECTION_OPTIONS = "SET DATEFORMAT DMY  SET QUOTED_IDENTIFIER OFF  SET ANSI_PADDING OFF  SET ANSI_WARNINGS OFF  SET XACT_ABORT ON";
    public const string BEGIN_TRANSACTION = CONNECTION_OPTIONS + "\nBEGIN TRANSACTION";
    public const string COMMIT = "\nCOMMIT";
    public static string DateTimeToStr(DateTime valor)
    {
      return string.Format("CONVERT(smalldatetime, '{0:yyyy}-{0:MM}-{0:dd} {0:HH}:{0:mm}:{0:ss}', 120)", valor);
    }

    public static string BoolToStr(bool valor)
    {
      if (valor)
        return "1";
      else
        return "0";
    }
  
}
public static class MySQL
{
    public const string NULL = "NULL";
    public const string GETDATE = "CURRENT_TIMESTAMP";
    public const string IDENTITY = "LAST_INSERT_ID()";
    public const string GetIDENTITY = "SET @ID_NEWRECORD = LAST_INSERT_ID();";
    public const string ReturnIDENTITY = "SELECT LAST_INSERT_ID() AS NEWRECORD;";
    public const string ReturnIDENTITYAvailable = "SELECT @ID_NEWRECORD AS NEWRECORD;";
    public const string IDENTITY_AVAILABLE = "@ID_NEWRECORD";
    public const string BEGIN_TRANSACTION = "START TRANSACTION;\n";
    public const string COMMIT = "\nCOMMIT;";
   
    public static string DateTimeToStr(DateTime valor)
    {
      return string.Format("'{0:yyyy}-{0:MM}-{0:dd} {0:HH}:{0:mm}:{0:ss}'", valor);
    }

    public static string BoolToStr(bool valor)
    {
      if (valor)
        return "1";
      else
        return "0";
    }

}

